Package org.eclipse.e4.ui.model.application.ui.basic.impl

# Class WindowImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl
org.eclipse.e4.ui.model.application.ui.impl.UIElementImpl
org.eclipse.e4.ui.model.application.ui.impl.ElementContainerImpl<MWindowElement>
org.eclipse.e4.ui.model.application.ui.basic.impl.WindowImpl

All Implemented Interfaces:
  `MBindings`, `MHandlerContainer`, `MApplicationElement`, `MWindow`, `MContext`, `MElementContainer<MWindowElement>`, `MLocalizable`, `MSnippetContainer`, `MUIElement`, `MUILabel`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`

Direct Known Subclasses:
  `TrimmedWindowImpl`

public class WindowImpl extends ElementContainerImpl<MWindowElement> implements MWindow
An implementation of the model object 'Window'.

The following features are implemented:

- `Label`
- `Icon URI`
- `Tooltip`
- `Localized Label`
- `Localized Tooltip`
- `Context`
- `Variables`
- `Properties`
- `Handlers`
- `Binding Contexts`
- `Snippets`
- `Main Menu`
- `X`
- `Y`
- `Width`
- `Height`
- `Windows`
- `Shared Elements`

Since:
  1.0

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<MBindingContext>`
`bindingContexts`
The cached value of the '`Binding Contexts`' reference list.
`protected IEclipseContext`
`context`
The cached value of the '`Context`' attribute.
`protected static final IEclipseContext`
`CONTEXT_EDEFAULT`
The default value of the '`Context`' attribute.
`protected org.eclipse.emf.common.util.EList<MHandler>`
`handlers`
The cached value of the '`Handlers`' containment reference list.
`protected int`
`height`
The cached value of the '`Height`' attribute.
`protected static final int`
`HEIGHT_EDEFAULT`
The default value of the '`Height`' attribute.
`protected boolean`
`heightESet`
This is true if the Height attribute has been set.
`protected static final String`
`ICON_URI_EDEFAULT`
The default value of the '`Icon URI`' attribute.
`protected String`
`iconURI`
The cached value of the '`Icon URI`' attribute.
`protected String`
`label`
The cached value of the '`Label`' attribute.
`protected static final String`
`LABEL_EDEFAULT`
The default value of the '`Label`' attribute.
`protected static final String`
`LOCALIZED_LABEL_EDEFAULT`
The default value of the '`Localized Label`' attribute.
`protected static final String`
`LOCALIZED_TOOLTIP_EDEFAULT`
The default value of the '`Localized Tooltip`' attribute.
`protected MMenu`
`mainMenu`
The cached value of the '`Main Menu`' containment reference.
`protected org.eclipse.emf.common.util.EMap<String,String>`
`properties`
The cached value of the '`Properties`' map.
`protected org.eclipse.emf.common.util.EList<MUIElement>`
`sharedElements`
The cached value of the '`Shared Elements`' containment reference list.
`protected org.eclipse.emf.common.util.EList<MUIElement>`
`snippets`
The cached value of the '`Snippets`' containment reference list.
`protected String`
`tooltip`
The cached value of the '`Tooltip`' attribute.
`protected static final String`
`TOOLTIP_EDEFAULT`
The default value of the '`Tooltip`' attribute.
`protected org.eclipse.emf.common.util.EList<String>`
`variables`
The cached value of the '`Variables`' attribute list.
`protected int`
`width`
The cached value of the '`Width`' attribute.
`protected static final int`
`WIDTH_EDEFAULT`
The default value of the '`Width`' attribute.
`protected boolean`
`widthESet`
This is true if the Width attribute has been set.
`protected org.eclipse.emf.common.util.EList<MWindow>`
`windows`
The cached value of the '`Windows`' containment reference list.
`protected int`
`x`
The cached value of the '`X`' attribute.
`protected static final int`
`X_EDEFAULT`
The default value of the '`X`' attribute.
`protected boolean`
`xESet`
This is true if the X attribute has been set.
`protected int`
`y`
The cached value of the '`Y`' attribute.
`protected static final int`
`Y_EDEFAULT`
The default value of the '`Y`' attribute.
`protected boolean`
`yESet`
This is true if the Y attribute has been set.

### Fields inherited from class org.eclipse.e4.ui.model.application.ui.impl.ElementContainerImpl

`children, selectedElement`

### Fields inherited from class org.eclipse.e4.ui.model.application.ui.impl.UIElementImpl

`ACCESSIBILITY_PHRASE_EDEFAULT, accessibilityPhrase, CONTAINER_DATA_EDEFAULT, containerData, curSharedRef, LOCALIZED_ACCESSIBILITY_PHRASE_EDEFAULT, ON_TOP_EDEFAULT, onTop, renderer, RENDERER_EDEFAULT, TO_BE_RENDERED_EDEFAULT, toBeRendered, visible, VISIBLE_EDEFAULT, visibleWhen, widget, WIDGET_EDEFAULT`

### Fields inherited from class org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl

`CONTRIBUTOR_URI_EDEFAULT, contributorURI, ELEMENT_ID_EDEFAULT, elementId, persistedState, tags, transientData`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`WindowImpl()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetMainMenu(MMenu newMainMenu, org.eclipse.emf.common.notify.NotificationChain msgs)`
`int`
`eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)`
`int`
`eDerivedOperationID(int baseOperationID, Class<?> baseClass)`
`int`
`eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object`
`eInvoke(int operationID, org.eclipse.emf.common.util.EList<?> arguments)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`List<MBindingContext>`
`getBindingContexts()`
`List<MWindowElement>`
`getChildren()`
This is specialized for the more specific element type known in this context.
`IEclipseContext`
`getContext()`
`List<MHandler>`
`getHandlers()`
`int`
`getHeight()`
`String`
`getIconURI()`
`String`
`getLabel()`
`String`
`getLocalizedLabel()`
`String`
`getLocalizedTooltip()`
`MMenu`
`getMainMenu()`
`Map<String,String>`
`getProperties()`
`List<MUIElement>`
`getSharedElements()`
`List<MUIElement>`
`getSnippets()`
`String`
`getTooltip()`
`List<String>`
`getVariables()`
`int`
`getWidth()`
`List<MWindow>`
`getWindows()`
`int`
`getX()`
`int`
`getY()`
`boolean`
`isSetHeight()`
`boolean`
`isSetWidth()`
`boolean`
`isSetX()`
`boolean`
`isSetY()`
`void`
`setContext(IEclipseContext newContext)`
`void`
`setHeight(int newHeight)`
`void`
`setIconURI(String newIconURI)`
`void`
`setLabel(String newLabel)`
`void`
`setMainMenu(MMenu newMainMenu)`
`void`
`setSelectedElement(MWindowElement newSelectedElement)`
This is specialized for the more specific type known in this context.
`void`
`setTooltip(String newTooltip)`
`void`
`setWidth(int newWidth)`
`void`
`setX(int newX)`
`void`
`setY(int newY)`
`String`
`toString()`
`void`
`unsetHeight()`
`void`
`unsetWidth()`
`void`
`unsetX()`
`void`
`unsetY()`
`void`
`updateLocalization()`

### Methods inherited from class org.eclipse.e4.ui.model.application.ui.impl.ElementContainerImpl

`basicGetSelectedElement, eInverseAdd, getSelectedElement`

### Methods inherited from class org.eclipse.e4.ui.model.application.ui.impl.UIElementImpl

`basicGetCurSharedRef, basicSetParent, basicSetVisibleWhen, eBasicRemoveFromContainerFeature, getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget, toStringGen`

### Methods inherited from class org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MElementContainer

`getSelectedElement`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eNotify`

## Field Details

### LABEL_EDEFAULT

protected static final String LABEL_EDEFAULT
The default value of the '`Label`' attribute.

Since:
  1.0
See Also:
  - `getLabel()`

### label

protected String label
The cached value of the '`Label`' attribute.

Since:
  1.0
See Also:
  - `getLabel()`

### ICON_URI_EDEFAULT

protected static final String ICON_URI_EDEFAULT
The default value of the '`Icon URI`' attribute.

Since:
  1.0
See Also:
  - `getIconURI()`

### iconURI

protected String iconURI
The cached value of the '`Icon URI`' attribute.

Since:
  1.0
See Also:
  - `getIconURI()`

### TOOLTIP_EDEFAULT

protected static final String TOOLTIP_EDEFAULT
The default value of the '`Tooltip`' attribute.

Since:
  1.0
See Also:
  - `getTooltip()`

### tooltip

protected String tooltip
The cached value of the '`Tooltip`' attribute.

Since:
  1.0
See Also:
  - `getTooltip()`

### LOCALIZED_LABEL_EDEFAULT

protected static final String LOCALIZED_LABEL_EDEFAULT
The default value of the '`Localized Label`' attribute.

See Also:
  - `getLocalizedLabel()`
  - Constant Field Values

### LOCALIZED_TOOLTIP_EDEFAULT

protected static final String LOCALIZED_TOOLTIP_EDEFAULT
The default value of the '`Localized Tooltip`' attribute.

See Also:
  - `getLocalizedTooltip()`
  - Constant Field Values

### CONTEXT_EDEFAULT

protected static final IEclipseContext CONTEXT_EDEFAULT
The default value of the '`Context`' attribute.

See Also:
  - `getContext()`

### context

protected IEclipseContext context
The cached value of the '`Context`' attribute.

See Also:
  - `getContext()`

### variables

protected org.eclipse.emf.common.util.EList<String> variables
The cached value of the '`Variables`' attribute list.

See Also:
  - `getVariables()`

### properties

protected org.eclipse.emf.common.util.EMap<String,String> properties
The cached value of the '`Properties`' map.

See Also:
  - `getProperties()`

### handlers

protected org.eclipse.emf.common.util.EList<MHandler> handlers
The cached value of the '`Handlers`' containment reference list.

See Also:
  - `getHandlers()`

### bindingContexts

protected org.eclipse.emf.common.util.EList<MBindingContext> bindingContexts
The cached value of the '`Binding Contexts`' reference list.

See Also:
  - `getBindingContexts()`

### snippets

protected org.eclipse.emf.common.util.EList<MUIElement> snippets
The cached value of the '`Snippets`' containment reference list.

See Also:
  - `getSnippets()`

### mainMenu

protected MMenu mainMenu
The cached value of the '`Main Menu`' containment reference.

See Also:
  - `getMainMenu()`

### X_EDEFAULT

protected static final int X_EDEFAULT
The default value of the '`X`' attribute.

See Also:
  - `getX()`
  - Constant Field Values

### x

protected int x
The cached value of the '`X`' attribute.

See Also:
  - `getX()`

### xESet

protected boolean xESet
This is true if the X attribute has been set.

### Y_EDEFAULT

protected static final int Y_EDEFAULT
The default value of the '`Y`' attribute.

See Also:
  - `getY()`
  - Constant Field Values

### y

protected int y
The cached value of the '`Y`' attribute.

See Also:
  - `getY()`

### yESet

protected boolean yESet
This is true if the Y attribute has been set.

### WIDTH_EDEFAULT

protected static final int WIDTH_EDEFAULT
The default value of the '`Width`' attribute.

See Also:
  - `getWidth()`
  - Constant Field Values

### width

protected int width
The cached value of the '`Width`' attribute.

See Also:
  - `getWidth()`

### widthESet

protected boolean widthESet
This is true if the Width attribute has been set.

### HEIGHT_EDEFAULT

protected static final int HEIGHT_EDEFAULT
The default value of the '`Height`' attribute.

See Also:
  - `getHeight()`
  - Constant Field Values

### height

protected int height
The cached value of the '`Height`' attribute.

See Also:
  - `getHeight()`

### heightESet

protected boolean heightESet
This is true if the Height attribute has been set.

### windows

protected org.eclipse.emf.common.util.EList<MWindow> windows
The cached value of the '`Windows`' containment reference list.

See Also:
  - `getWindows()`

### sharedElements

protected org.eclipse.emf.common.util.EList<MUIElement> sharedElements
The cached value of the '`Shared Elements`' containment reference list.

See Also:
  - `getSharedElements()`

## Constructor Details

### WindowImpl

protected WindowImpl()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `ElementContainerImpl<MWindowElement>`

### getChildren

public List<MWindowElement> getChildren()
This is specialized for the more specific element type known in this context.

Specified by:
  `getChildren` in interface `MElementContainer<MWindowElement>`
Overrides:
  `getChildren` in class `ElementContainerImpl<MWindowElement>`
Returns:
  the value of the 'Children' containment reference list.
See Also:
  - `MUIElement.getParent()`

### setSelectedElement

public void setSelectedElement(MWindowElement newSelectedElement)
This is specialized for the more specific type known in this context.

Specified by:
  `setSelectedElement` in interface `MElementContainer<MWindowElement>`
Overrides:
  `setSelectedElement` in class `ElementContainerImpl<MWindowElement>`
Parameters:
  `newSelectedElement` - the new value of the 'Selected Element' reference.
See Also:
  - `MElementContainer.getSelectedElement()`

### getLabel

public String getLabel()

Specified by:
  `getLabel` in interface `MUILabel`
Returns:
  the value of the 'Label' attribute.
Since:
  1.0
See Also:
  - `MUILabel.setLabel(String)`

### setLabel

public void setLabel(String newLabel)

Specified by:
  `setLabel` in interface `MUILabel`
Parameters:
  `newLabel` - the new value of the 'Label' attribute.
Since:
  1.0
See Also:
  - `MUILabel.getLabel()`

### getIconURI

public String getIconURI()

Specified by:
  `getIconURI` in interface `MUILabel`
Returns:
  the value of the 'Icon URI' attribute.
Since:
  1.0
See Also:
  - `MUILabel.setIconURI(String)`

### setIconURI

public void setIconURI(String newIconURI)

Specified by:
  `setIconURI` in interface `MUILabel`
Parameters:
  `newIconURI` - the new value of the 'Icon URI' attribute.
Since:
  1.0
See Also:
  - `MUILabel.getIconURI()`

### getTooltip

public String getTooltip()

Specified by:
  `getTooltip` in interface `MUILabel`
Returns:
  the value of the 'Tooltip' attribute.
Since:
  1.0
See Also:
  - `MUILabel.setTooltip(String)`

### setTooltip

public void setTooltip(String newTooltip)

Specified by:
  `setTooltip` in interface `MUILabel`
Parameters:
  `newTooltip` - the new value of the 'Tooltip' attribute.
Since:
  1.0
See Also:
  - `MUILabel.getTooltip()`

### getLocalizedLabel

public String getLocalizedLabel()

Specified by:
  `getLocalizedLabel` in interface `MUILabel`
Returns:
  the value of the 'Localized Label' attribute.

### getLocalizedTooltip

public String getLocalizedTooltip()

Specified by:
  `getLocalizedTooltip` in interface `MUILabel`
Returns:
  the value of the 'Localized Tooltip' attribute.

### getContext

public IEclipseContext getContext()

Specified by:
  `getContext` in interface `MContext`
Returns:
  the value of the 'Context' attribute.
See Also:
  - `MContext.setContext(IEclipseContext)`

### setContext

public void setContext(IEclipseContext newContext)

Specified by:
  `setContext` in interface `MContext`
Parameters:
  `newContext` - the new value of the 'Context' attribute.
See Also:
  - `MContext.getContext()`

### getVariables

public List<String> getVariables()

Specified by:
  `getVariables` in interface `MContext`
Returns:
  the value of the 'Variables' attribute list.

### getProperties

public Map<String,String> getProperties()

Specified by:
  `getProperties` in interface `MContext`
Returns:
  the value of the 'Properties' map.

### getHandlers

public List<MHandler> getHandlers()

Specified by:
  `getHandlers` in interface `MHandlerContainer`
Returns:
  the value of the 'Handlers' containment reference list.

### getBindingContexts

public List<MBindingContext> getBindingContexts()

Specified by:
  `getBindingContexts` in interface `MBindings`
Returns:
  the value of the 'Binding Contexts' reference list.

### getSnippets

public List<MUIElement> getSnippets()

Specified by:
  `getSnippets` in interface `MSnippetContainer`
Returns:
  the value of the 'Snippets' containment reference list.

### getMainMenu

public MMenu getMainMenu()

Specified by:
  `getMainMenu` in interface `MWindow`
Returns:
  the value of the 'Main Menu' containment reference.
See Also:
  - `MWindow.setMainMenu(MMenu)`

### basicSetMainMenu

public org.eclipse.emf.common.notify.NotificationChain basicSetMainMenu(MMenu newMainMenu, org.eclipse.emf.common.notify.NotificationChain msgs)

### setMainMenu

public void setMainMenu(MMenu newMainMenu)

Specified by:
  `setMainMenu` in interface `MWindow`
Parameters:
  `newMainMenu` - the new value of the 'Main Menu' containment reference.
See Also:
  - `MWindow.getMainMenu()`

### getX

public int getX()

Specified by:
  `getX` in interface `MWindow`
Returns:
  the value of the 'X' attribute.
See Also:
  - `MWindow.isSetX()`
  - `MWindow.unsetX()`
  - `MWindow.setX(int)`

### setX

public void setX(int newX)

Specified by:
  `setX` in interface `MWindow`
Parameters:
  `newX` - the new value of the 'X' attribute.
See Also:
  - `MWindow.isSetX()`
  - `MWindow.unsetX()`
  - `MWindow.getX()`

### unsetX

public void unsetX()

Specified by:
  `unsetX` in interface `MWindow`
See Also:
  - `MWindow.isSetX()`
  - `MWindow.getX()`
  - `MWindow.setX(int)`

### isSetX

public boolean isSetX()

Specified by:
  `isSetX` in interface `MWindow`
Returns:
  whether the value of the 'X' attribute is set.
See Also:
  - `MWindow.unsetX()`
  - `MWindow.getX()`
  - `MWindow.setX(int)`

### getY

public int getY()

Specified by:
  `getY` in interface `MWindow`
Returns:
  the value of the 'Y' attribute.
See Also:
  - `MWindow.isSetY()`
  - `MWindow.unsetY()`
  - `MWindow.setY(int)`

### setY

public void setY(int newY)

Specified by:
  `setY` in interface `MWindow`
Parameters:
  `newY` - the new value of the 'Y' attribute.
See Also:
  - `MWindow.isSetY()`
  - `MWindow.unsetY()`
  - `MWindow.getY()`

### unsetY

public void unsetY()

Specified by:
  `unsetY` in interface `MWindow`
See Also:
  - `MWindow.isSetY()`
  - `MWindow.getY()`
  - `MWindow.setY(int)`

### isSetY

public boolean isSetY()

Specified by:
  `isSetY` in interface `MWindow`
Returns:
  whether the value of the 'Y' attribute is set.
See Also:
  - `MWindow.unsetY()`
  - `MWindow.getY()`
  - `MWindow.setY(int)`

### getWidth

public int getWidth()

Specified by:
  `getWidth` in interface `MWindow`
Returns:
  the value of the 'Width' attribute.
See Also:
  - `MWindow.isSetWidth()`
  - `MWindow.unsetWidth()`
  - `MWindow.setWidth(int)`

### setWidth

public void setWidth(int newWidth)

Specified by:
  `setWidth` in interface `MWindow`
Parameters:
  `newWidth` - the new value of the 'Width' attribute.
See Also:
  - `MWindow.isSetWidth()`
  - `MWindow.unsetWidth()`
  - `MWindow.getWidth()`

### unsetWidth

public void unsetWidth()

Specified by:
  `unsetWidth` in interface `MWindow`
See Also:
  - `MWindow.isSetWidth()`
  - `MWindow.getWidth()`
  - `MWindow.setWidth(int)`

### isSetWidth

public boolean isSetWidth()

Specified by:
  `isSetWidth` in interface `MWindow`
Returns:
  whether the value of the 'Width' attribute is set.
See Also:
  - `MWindow.unsetWidth()`
  - `MWindow.getWidth()`
  - `MWindow.setWidth(int)`

### getHeight

public int getHeight()

Specified by:
  `getHeight` in interface `MWindow`
Returns:
  the value of the 'Height' attribute.
See Also:
  - `MWindow.isSetHeight()`
  - `MWindow.unsetHeight()`
  - `MWindow.setHeight(int)`

### setHeight

public void setHeight(int newHeight)

Specified by:
  `setHeight` in interface `MWindow`
Parameters:
  `newHeight` - the new value of the 'Height' attribute.
See Also:
  - `MWindow.isSetHeight()`
  - `MWindow.unsetHeight()`
  - `MWindow.getHeight()`

### unsetHeight

public void unsetHeight()

Specified by:
  `unsetHeight` in interface `MWindow`
See Also:
  - `MWindow.isSetHeight()`
  - `MWindow.getHeight()`
  - `MWindow.setHeight(int)`

### isSetHeight

public boolean isSetHeight()

Specified by:
  `isSetHeight` in interface `MWindow`
Returns:
  whether the value of the 'Height' attribute is set.
See Also:
  - `MWindow.unsetHeight()`
  - `MWindow.getHeight()`
  - `MWindow.setHeight(int)`

### getWindows

public List<MWindow> getWindows()

Specified by:
  `getWindows` in interface `MWindow`
Returns:
  the value of the 'Windows' containment reference list.

### getSharedElements

public List<MUIElement> getSharedElements()

Specified by:
  `getSharedElements` in interface `MWindow`
Returns:
  the value of the 'Shared Elements' containment reference list.

### updateLocalization

public void updateLocalization()

Specified by:
  `updateLocalization` in interface `MLocalizable`
Overrides:
  `updateLocalization` in class `UIElementImpl`
Since:
  1.1

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `ElementContainerImpl<MWindowElement>`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `ElementContainerImpl<MWindowElement>`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `ElementContainerImpl<MWindowElement>`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `ElementContainerImpl<MWindowElement>`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `ElementContainerImpl<MWindowElement>`

### eBaseStructuralFeatureID

public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)

Specified by:
  `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eDerivedStructuralFeatureID

public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)

Specified by:
  `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eDerivedOperationID

public int eDerivedOperationID(int baseOperationID, Class<?> baseClass)

Specified by:
  `eDerivedOperationID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eDerivedOperationID` in class `UIElementImpl`

### eInvoke

public Object eInvoke(int operationID, org.eclipse.emf.common.util.EList<?> arguments) throws InvocationTargetException

Specified by:
  `eInvoke` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eInvoke` in class `UIElementImpl`
Throws:
  `InvocationTargetException`

### toString

public String toString()

Overrides:
  `toString` in class `UIElementImpl`